// Copyright(c) 1996 ObjectSpace, Inc.

import jgl.*;

/**
 * Finding a single element, conditional searching, finding consecutive elements.
 * <p>
 * @see jgl.Finding
 * @version 1.1
 * @author ObjectSpace, Inc.
 */

public class Finding1
  {
  public static void main( String[] args )
    {
    Array array = new Array();
    array.add( "cat" );
    array.add( "dog" );
    array.add( "emu" );
    array.add( "dog" );
    array.add( "dog" );
    ArrayIterator i = array.begin();

    while( true )
      {
      i = (ArrayIterator) Finding.find( i, array.end(), "dog" );
      if( i.atEnd() ) // A simpler way of saying: if( i.equals( array.end() ) )...
        break; 
      System.out.println( "iterator found " + i.get() + " at index " + i.index() );
      i.advance();
      }

    int intArray[] = { 3, 6, 2, 1, 8, 9, 4, 5 };
    IntIterator j = (IntIterator) Finding.findIf( IntIterator.begin( intArray ), IntIterator.end( intArray ), new BindSecondPredicate( new GreaterInteger(), new Integer( 7 ) ) );
    System.out.println( "First element > 7 is " + j.get() + " at index " + j.index() );

    DList list = new DList();
    list.add( "cat" );
    list.add( "dog" );
    list.add( "emu" );
    list.add( "emu" );
    list.add( "dog" ); 
    DListIterator k = (DListIterator) Finding.adjacentFind( list, new EqualTo() );
    System.out.println( "First consecutive sequence is of " + k.get() + " at index " + k.index() );
    }
  }

