// Copyright(c) 1996 ObjectSpace, Inc.
// Portions Copyright(c) 1995, 1996 Hewlett-Packard Company.

package jgl;

/**
 * GreaterString is a binary predicate that 
 * returns true if the first operand as a string 
 * is greater than the second operand as a string.
 * <p>
 * @version 1.1
 * @author ObjectSpace, Inc.
 */

public final class GreaterString implements BinaryPredicate
  {
  /**
   * Return true if the first operand is greater than the second operand.
   * @return first.toString() > second.toString()
   */
  public boolean execute( Object first, Object second )
    {
    return first.toString().compareTo( second.toString() ) > 0;
    }
  }
